import common from "@/utils/common"

export default function initPatternData() {
    var styleList = {
        id: common.guid(),
        //基础样式
        basePattern:[
            {icon: "", title: 'reportDesigner.fontColor', type: "color", sort: 13, value: "#000000", group: "7", show: true},
            {icon: "", title: 'reportDesigner.fontName', type: "font", sort: 14, value: "宋体", group: "8", show: true,
                children:[
                    {Key:"Agency FB", Value: "Agency FB"},
                    {Key:"Algerian", Value: "Algerian"},
                    {Key:"Arial", Value: "Arial"},
                    {Key:"Arial Black", Value: "Arial Black"},
                    {Key:"Arial Narrow", Value: "Arial Narrow"},
                    {Key:"Arial Rounded MT Bold", Value: "Arial Rounded MT Bold"},
                    {Key:"Axure Handwriting", Value: "Axure Handwriting"},
                    {Key:"Bahnschrift", Value: "Bahnschrift"},
                    {Key:"Bahnschrift Condensed", Value: "Bahnschrift Condensed"},
                    {Key:"Bahnschrift Light", Value: "Bahnschrift Light"},
                    {Key:"Bahnschrift Light Condensed", Value: "Bahnschrift Light Condensed"},
                    {Key:"Bahnschrift Light SemiCondensed", Value: "Bahnschrift Light SemiCondensed"},
                    {Key:"Bahnschrift SemiBold", Value: "Bahnschrift SemiBold"},
                    {Key:"Bahnschrift SemiBold Condensed", Value: "Bahnschrift SemiBold Condensed"},
                    {Key:"Bahnschrift SemiBold SemiCondensed", Value: "Bahnschrift SemiBold SemiCondensed"},
                    {Key:"Bahnschrift SemiCondensed", Value: "Bahnschrift SemiCondensed"},
                    {Key:"Bahnschrift SemiLight", Value: "Bahnschrift SemiLight"},
                    {Key:"Bahnschrift SemiLight Condensed", Value: "Bahnschrift SemiLight Condensed"},
                    {Key:"Bahnschrift SemiLight SemiCondensed", Value: "Bahnschrift SemiLight SemiCondensed"},
                    {Key:"Baskerville Old Face", Value: "Baskerville Old Face"},
                    {Key:"Bauhaus 93", Value: "Bauhaus 93"},
                    {Key:"Bell MT", Value: "Bell MT"},
                    {Key:"Berlin Sans FB", Value: "Berlin Sans FB"},
                    {Key:"Berlin Sans FB Demi", Value: "Berlin Sans FB Demi"},
                    {Key:"Bernard MT Condensed", Value: "Bernard MT Condensed"},
                    {Key:"Blackadder ITC", Value: "Blackadder ITC"},
                    {Key:"Bodoni MT", Value: "Bodoni MT"},
                    {Key:"Bodoni MT Black", Value: "Bodoni MT Black"},
                    {Key:"Bodoni MT Condensed", Value: "Bodoni MT Condensed"},
                    {Key:"Bodoni MT Poster Compressed", Value: "Bodoni MT Poster Compressed"},
                    {Key:"Book Antiqua", Value: "Book Antiqua"},
                    {Key:"Bookman Old Style", Value: "Bookman Old Style"},
                    {Key:"Bookshelf Symbol 7", Value: "Bookshelf Symbol 7"},
                    {Key:"Bradley Hand ITC", Value: "Bradley Hand ITC"},
                    {Key:"Britannic Bold", Value: "Britannic Bold"},
                    {Key:"Broadway", Value: "Broadway"},
                    {Key:"Brush Script MT", Value: "Brush Script MT"},
                    {Key:"Calibri", Value: "Calibri"},
                    {Key:"Calibri Light", Value: "Calibri Light"},
                    {Key:"Californian FB", Value: "Californian FB"},
                    {Key:"Calisto MT", Value: "Calisto MT"},
                    {Key:"Cambria", Value: "Cambria"},
                    {Key:"Cambria Math", Value: "Cambria Math"},
                    {Key:"Candara", Value: "Candara"},
                    {Key:"Candara Light", Value: "Candara Light"},
                    {Key:"Castellar", Value: "Castellar"},
                    {Key:"Centaur", Value: "Centaur"},
                    {Key:"Century", Value: "Century"},
                    {Key:"Century Gothic", Value: "Century Gothic"},
                    {Key:"Century Schoolbook", Value: "Century Schoolbook"},
                    {Key:"Chiller", Value: "Chiller"},
                    {Key:"Colonna MT", Value: "Colonna MT"},
                    {Key:"Comic Sans MS", Value: "Comic Sans MS"},
                    {Key:"Consolas", Value: "Consolas"},
                    {Key:"Constantia", Value: "Constantia"},
                    {Key:"Cooper Black", Value: "Cooper Black"},
                    {Key:"Copperplate Gothic Bold", Value: "Copperplate Gothic Bold"},
                    {Key:"Copperplate Gothic Light", Value: "Copperplate Gothic Light"},
                    {Key:"Corbel", Value: "Corbel"},
                    {Key:"Corbel Light", Value: "Corbel Light"},
                    {Key:"Courier New", Value: "Courier New"},
                    {Key:"Curlz MT", Value: "Curlz MT"},
                    {Key:"Ebrima", Value: "Ebrima"},
                    {Key:"Edwardian Script ITC", Value: "Edwardian Script ITC"},
                    {Key:"Elephant", Value: "Elephant"},
                    {Key:"Engravers MT", Value: "Engravers MT"},
                    {Key:"Eras Bold ITC", Value: "Eras Bold ITC"},
                    {Key:"Eras Demi ITC", Value: "Eras Demi ITC"},
                    {Key:"Eras Light ITC", Value: "Eras Light ITC"},
                    {Key:"Eras Medium ITC", Value: "Eras Medium ITC"},
                    {Key:"Felix Titling", Value: "Felix Titling"},
                    {Key:"Footlight MT Light", Value: "Footlight MT Light"},
                    {Key:"Forte", Value: "Forte"},
                    {Key:"Franklin Gothic Book", Value: "Franklin Gothic Book"},
                    {Key:"Franklin Gothic Demi", Value: "Franklin Gothic Demi"},
                    {Key:"Franklin Gothic Demi Condensed", Value: "Franklin Gothic Demi Condensed"},
                    {Key:"Franklin Gothic Heavy", Value: "Franklin Gothic Heavy"},
                    {Key:"Franklin Gothic Medium", Value: "Franklin Gothic Medium"},
                    {Key:"Franklin Gothic Medium Condensed", Value: "Franklin Gothic Medium Condensed"},
                    {Key:"Freestyle Script", Value: "Freestyle Script"},
                    {Key:"French Script MT", Value: "French Script MT"},
                    {Key:"Gabriola", Value: "Gabriola"},
                    {Key:"Gadugi", Value: "Gadugi"},
                    {Key:"Garamond", Value: "Garamond"},
                    {Key:"Georgia", Value: "Georgia"},
                    {Key:"Gigi", Value: "Gigi"},
                    {Key:"Gill Sans MT", Value: "Gill Sans MT"},
                    {Key:"Gill Sans MT Condensed", Value: "Gill Sans MT Condensed"},
                    {Key:"Gill Sans MT Ext Condensed Bold", Value: "Gill Sans MT Ext Condensed Bold"},
                    {Key:"Gill Sans Ultra Bold", Value: "Gill Sans Ultra Bold"},
                    {Key:"Gill Sans Ultra Bold Condensed", Value: "Gill Sans Ultra Bold Condensed"},
                    {Key:"Gloucester MT Extra Condensed", Value: "Gloucester MT Extra Condensed"},
                    {Key:"Goudy Old Style", Value: "Goudy Old Style"},
                    {Key:"Goudy Stout", Value: "Goudy Stout"},
                    {Key:"Haettenschweiler", Value: "Haettenschweiler"},
                    {Key:"Harlow Solid Italic", Value: "Harlow Solid Italic"},
                    {Key:"Harrington", Value: "Harrington"},
                    {Key:"High Tower Text", Value: "High Tower Text"},
                    {Key:"HoloLens MDL2 Assets", Value: "HoloLens MDL2 Assets"},
                    {Key:"Impact", Value: "Impact"},
                    {Key:"Imprint MT Shadow", Value: "Imprint MT Shadow"},
                    {Key:"Informal Roman", Value: "Informal Roman"},
                    {Key:"Ink Free", Value: "Ink Free"},
                    {Key:"Javanese Text", Value: "Javanese Text"},
                    {Key:"Jokerman", Value: "Jokerman"},
                    {Key:"Juice ITC", Value: "Juice ITC"},
                    {Key:"Kristen ITC", Value: "Kristen ITC"},
                    {Key:"Kunstler Script", Value: "Kunstler Script"},
                    {Key:"Leelawadee", Value: "Leelawadee"},
                    {Key:"Leelawadee UI", Value: "Leelawadee UI"},
                    {Key:"Leelawadee UI Semilight", Value: "Leelawadee UI Semilight"},
                    {Key:"Lucida Bright", Value: "Lucida Bright"},
                    {Key:"Lucida Calligraphy", Value: "Lucida Calligraphy"},
                    {Key:"Lucida Console", Value: "Lucida Console"},
                    {Key:"Lucida Fax", Value: "Lucida Fax"},
                    {Key:"Lucida Handwriting", Value: "Lucida Handwriting"},
                    {Key:"Lucida Sans", Value: "Lucida Sans"},
                    {Key:"Lucida Sans Typewriter", Value: "Lucida Sans Typewriter"},
                    {Key:"Lucida Sans Unicode", Value: "Lucida Sans Unicode"},
                    {Key:"Magneto", Value: "Magneto"},
                    {Key:"Maiandra GD", Value: "Maiandra GD"},
                    {Key:"Malgun Gothic", Value: "Malgun Gothic"},
                    {Key:"Malgun Gothic Semilight", Value: "Malgun Gothic Semilight"},
                    {Key:"Marlett", Value: "Marlett"},
                    {Key:"Matura MT Script Capitals", Value: "Matura MT Script Capitals"},
                    {Key:"Microsoft Himalaya", Value: "Microsoft Himalaya"},
                    {Key:"Microsoft JhengHei UI", Value: "Microsoft JhengHei UI"},
                    {Key:"Microsoft JhengHei UI Light", Value: "Microsoft JhengHei UI Light"},
                    {Key:"Microsoft New Tai Lue", Value: "Microsoft New Tai Lue"},
                    {Key:"Microsoft PhagsPa", Value: "Microsoft PhagsPa"},
                    {Key:"Microsoft Sans Serif", Value: "Microsoft Sans Serif"},
                    {Key:"Microsoft Tai Le", Value: "Microsoft Tai Le"},
                    {Key:"Microsoft Uighur", Value: "Microsoft Uighur"},
                    {Key:"Microsoft YaHei UI", Value: "Microsoft YaHei UI"},
                    {Key:"Microsoft YaHei UI Light", Value: "Microsoft YaHei UI Light"},
                    {Key:"Microsoft Yi Baiti", Value: "Microsoft Yi Baiti"},
                    {Key:"Mistral", Value: "Mistral"},
                    {Key:"Modern No.20", Value: "Modern No.20"},
                    {Key:"Mongolian Baiti", Value: "Mongolian Baiti"},
                    {Key:"Monotype Corsiva", Value: "Monotype Corsiva"},
                    {Key:"MS Gothic", Value: "MS Gothic"},
                    {Key:"MS Outlook", Value: "MS Outlook"},
                    {Key:"MS PGothic", Value: "MS PGothic"},
                    {Key:"MS Reference Sans Serif", Value: "MS Reference Sans Serif"},
                    {Key:"MS Reference Specialty", Value: "MS Reference Specialty"},
                    {Key:"MS UI Gothic", Value: "MS UI Gothic"},
                    {Key:"MT Extra", Value: "MT Extra"},
                    {Key:"MV Boli", Value: "MV Boli"},
                    {Key:"Myanmar Text", Value: "Myanmar Text"},
                    {Key:"Niagara Engraved", Value: "Niagara Engraved"},
                    {Key:"Niagara Solid", Value: "Niagara Solid"},
                    {Key:"Nirmala UI", Value: "Nirmala UI"},
                    {Key:"Nirmala UI Semilight", Value: "Nirmala UI Semilight"},
                    {Key:"OCR A Extended", Value: "OCR A Extended"},
                    {Key:"Old English Text MT", Value: "Old English Text MT"},
                    {Key:"Onyx", Value: "Onyx"},
                    {Key:"Palace Script MT", Value: "Palace Script MT"},
                    {Key:"Palatino Linotype", Value: "Palatino Linotype"},
                    {Key:"Papyrus", Value: "Papyrus"},
                    {Key:"Parchment", Value: "Parchment"},
                    {Key:"Perpetua", Value: "Perpetua"},
                    {Key:"Perpetua Titling MT", Value: "Perpetua Titling MT"},
                    {Key:"Playbill", Value: "Playbill"},
                    {Key:"Poor Richard", Value: "Poor Richard"},
                    {Key:"Pristina", Value: "Pristina"},
                    {Key:"Rage Italic", Value: "Rage Italic"},
                    {Key:"Ravie", Value: "Ravie"},
                    {Key:"Rockwell", Value: "Rockwell"},
                    {Key:"Rockwell Condensed", Value: "Rockwell Condensed"},
                    {Key:"Rockwell Extra Bold", Value: "Rockwell Extra Bold"},
                    {Key:"Script MT Blod", Value: "Script MT Blod"},
                    {Key:"Segoe MDL2 Assets", Value: "Segoe MDL2 Assets"},
                    {Key:"Segoe Print", Value: "Segoe Print"},
                    {Key:"Segoe Script", Value: "Segoe Script"},
                    {Key:"Segoe UI", Value: "Segoe UI"},
                    {Key:"Segoe UI Black", Value: "Segoe UI Black"},
                    {Key:"Segoe UI Emoji", Value: "Segoe UI Emoji"},
                    {Key:"Segoe UI Historic", Value: "Segoe UI Historic"},
                    {Key:"Segoe UI Light", Value: "Segoe UI Light"},
                    {Key:"Segoe UI Semibold", Value: "Segoe UI Semibold"},
                    {Key:"Segoe UI Semilight", Value: "Segoe UI Semilight"},
                    {Key:"Segoe UI Symbol", Value: "Segoe UI Symbol"},
                    {Key:"Showcard Gothic", Value: "Showcard Gothic"},
                    {Key:"SimSum-ExtB", Value: "SimSum-ExtB"},
                    {Key:"Sitka Banner", Value: "Sitka Banner"},
                    {Key:"Sitka Display", Value: "Sitka Display"},
                    {Key:"Sitka Heading", Value: "Sitka Heading"},
                    {Key:"Sitka Small", Value: "Sitka Small"},
                    {Key:"Sitka Subheading", Value: "Sitka Subheading"},
                    {Key:"Sitka Text", Value: "Sitka Text"},
                    {Key:"Snap ITC", Value: "Snap ITC"},
                    {Key:"Stencil", Value: "Stencil"},
                    {Key:"Sylfaen", Value: "Sylfaen"},
                    {Key:"Symbol", Value: "Symbol"},
                    {Key:"Tahoma", Value: "Tahoma"},
                    {Key:"Tempus Sans ITC", Value: "Tempus Sans ITC"},
                    {Key:"Times New Roman", Value: "Times New Roman"},
                    {Key:"Trebuchet MS", Value: "Trebuchet MS"},
                    {Key:"Tw Cen MT", Value: "Tw Cen MT"},
                    {Key:"Tw Cen MT Condensed", Value: "Tw Cen MT Condensed"},
                    {Key:"Tw Cen MT Condensed Extra Bold", Value: "Tw Cen MT Condensed Extra Bold"},
                    {Key:"Verdana", Value: "Verdana"},
                    {Key:"Viner Hand ITC", Value: "Viner Hand ITC"},
                    {Key:"Vivaldi", Value: "Vivaldi"},
                    {Key:"Vladimir Script", Value: "Vladimir Script"},
                    {Key:"Webdings", Value: "Webdings"},
                    {Key:"Wide Latin", Value: "Wide Latin"},
                    {Key:"Wingdings", Value: "Wingdings"},
                    {Key:"Wingdings 2", Value: "Wingdings 2"},
                    {Key:"Wingdings 3", Value: "Wingdings 3"},
                    {Key:"Yu Gothic", Value: "Yu Gothic"},
                    {Key:"Yu Gothic Light", Value: "Yu Gothic Light"},
                    {Key:"Yu Gothic Medium", Value: "Yu Gothic Medium"},
                    {Key:"Yu Gothic UI", Value: "Yu Gothic UI"},
                    {Key:"Yu Gothic UI Light", Value: "Yu Gothic UI Light"},
                    {Key:"Yu Gothic UI Semibold", Value: "Yu Gothic UI Semibold"},
                    {Key:"Yu Gothic UI Semilight", Value: "Yu Gothic UI Semilight"},
                    {Key:"等线", Value: "等线"},
                    {Key:"等线 Light", Value: "等线 Light"},
                    {Key:"方正舒体", Value: "方正舒体"},
                    {Key:"方正姚体", Value: "方正姚体"},
                    {Key:"仿宋", Value: "仿宋"},
                    {Key:"黑体", Value: "黑体"},
                    {Key:"华文彩云", Value: "华文彩云"},
                    {Key:"华文仿宋", Value: "华文仿宋"},
                    {Key:"华文琥珀", Value: "华文琥珀"},
                    {Key:"华文楷体", Value: "华文楷体"},
                    {Key:"华文隶书", Value: "华文隶书"},
                    {Key:"华文宋体", Value: "华文宋体"},
                    {Key:"华文细黑", Value: "华文细黑"},
                    {Key:"华文新魏", Value: "华文新魏"},
                    {Key:"华文行楷", Value: "华文行楷"},
                    {Key:"华文中宋", Value: "华文中宋"},
                    {Key:"隶书", Value: "隶书"},
                    {Key:"宋体", Value: "宋体"},
                    {Key:"微软雅黑", Value: "微软雅黑"},
                    {Key:"微软雅黑 Light", Value: "微软雅黑 Light"},
                    {Key:"微软正黑体", Value: "微软正黑体"},
                    {Key:"微软正黑体 Light", Value: "微软正黑体 Light"},
                    {Key:"细明体_HKSCS-ExtB", Value: "细明体_HKSCS-ExtB"},
                    {Key:"细明体-ExtB", Value: "细明体-ExtB"},
                    {Key:"新宋体", Value: "新宋体"},
                    {Key:"新细明体-ExtB", Value: "新细明体-ExtB"},
                    {Key:"幼圆", Value: "幼圆"}
                ]
            },
            {icon: "", title: 'reportDesigner.size', type: "size", sort: 15, value: "14", group: "9", show: true,
                childrenEN:[
                    {Key:"5", Value: "5"},
                    {Key:"5.5", Value: "5.5"},
                    {Key:"6", Value: "6"},
                    {Key:"6.5", Value: "6.5"},
                    {Key:"7", Value: "7"},
                    {Key:"7.5", Value: "7.5"},
                    {Key:"8", Value: "8"},
                    {Key:"8.5", Value: "8.5"},
                    {Key:"9", Value: "9"},
                    {Key:"10", Value: "10"},
                    {Key:"10.5", Value: "10.5"},
                    {Key:"11", Value: "11"},
                    {Key:"12", Value: "12"},
                    {Key:"14", Value: "14"},
                    {Key:"16", Value: "16"},
                    {Key:"18", Value: "18"},
                    {Key:"20", Value: "20"},
                    {Key:"22", Value: "22"},
                    {Key:"26", Value: "26"},
                    {Key:"28", Value: "28"},
                    {Key:"36", Value: "36"},
                    {Key:"48", Value: "48"},
                    {Key:"56", Value: "56"},
                    {Key:"72", Value: "72"}
                ],
                childrenCN:[
                    {Key:"42.0", Value: "初号"},
                    {Key:"36.0", Value: "小初"},
                    {Key:"26.0", Value: "一号"},
                    {Key:"24.0", Value: "小一"},
                    {Key:"22.0", Value: "二号"},
                    {Key:"18.0", Value: "小二"},
                    {Key:"16.0", Value: "三号"},
                    {Key:"15.0", Value: "小三"},
                    {Key:"14.0", Value: "四号"},
                    {Key:"12.0", Value: "小四"},
                    {Key:"10.50", Value: "五号"},
                    {Key:"9.0", Value: "小五"},
                    {Key:"7.50", Value: "六号"},
                    {Key:"6.50", Value: "小六"},
                    {Key:"5.50", Value: "七号"},
                    {Key:"5.0", Value: "八号"},
                    {Key:"5", Value: "5"},
                    {Key:"5.5", Value: "5.5"},
                    {Key:"6", Value: "6"},
                    {Key:"6.5", Value: "6.5"},
                    {Key:"7", Value: "7"},
                    {Key:"7.5", Value: "7.5"},
                    {Key:"8", Value: "8"},
                    {Key:"8.5", Value: "8.5"},
                    {Key:"9", Value: "9"},
                    {Key:"10", Value: "10"},
                    {Key:"10.5", Value: "10.5"},
                    {Key:"11", Value: "11"},
                    {Key:"12", Value: "12"},
                    {Key:"14", Value: "14"},
                    {Key:"16", Value: "16"},
                    {Key:"18", Value: "18"},
                    {Key:"20", Value: "20"},
                    {Key:"22", Value: "22"},
                    {Key:"26", Value: "26"},
                    {Key:"28", Value: "28"},
                    {Key:"36", Value: "36"},
                    {Key:"48", Value: "48"},
                    {Key:"56", Value: "56"},
                    {Key:"72", Value: "72"}
                    //{Key:"90", Value: "90"}
                ]
            }
        ],
        //字体样式
        fontPattern:[
            {icon: "", title: 'reportDesigner.Bold', type: "strong", sort: 10, value: false, group: "4", show: true},
            {icon: "", title: 'reportDesigner.Italic', type: "italic", sort: 11, value: false, group: "5", show: true},
            {icon: "", title: 'reportDesigner.Underline', type: "underline", sort: 12, value: false, group: "6", show: true},
            {icon: "", title: 'reportDesigner.AlignLeft', type: "left", sort: 16, value: false, group: "horizontalAlignment", show: true},
            {icon: "", title: 'reportDesigner.AlignCenter', type: "center", sort: 17, value: false, group: "horizontalAlignment", show: true},
            {icon: "", title: 'reportDesigner.AlignRight', type: "right", sort: 18, value: false, group: "horizontalAlignment", show: true},
            {icon: "", title: 'reportDesigner.Justify', type: "bothends", sort: 19, value: false, group: "horizontalAlignment", show: true},
            {icon: "", title: 'reportDesigner.AlignTop', type: "top", sort: 20, value: false, group: "verticalAlignment", show: true},
            {icon: "", title: 'reportDesigner.AlignMiddle', type: "middle", sort: 21, value: false, group: "verticalAlignment", show: true},
            {icon: "", title: 'reportDesigner.AlignBottom', type: "bottom", sort: 22, value: false, group: "verticalAlignment", show: true},
            // {icon: "", title: 'reportDesigner.Italic')"加载默认数据", type: "code", sort: 23, value: false, group: "load"}
        ],
        //辅助组件样式
        assistPattern:[
            {icon: "", title: 'reportDesigner.fold', type: "foldone", sort: 1, value: false, show: true, group: "1"},
            {icon: "", title: 'reportDesigner.save', type: "save", sort: 2, value: false, group: "13", show: true},
            {icon: "", title: 'reportDesigner.Preview', type: "preview", sort: 3, value: false, group: "14", show: true},
            {icon: "", title: 'reportDesigner.clear', type: "clear", sort: 4, value: false, group: "15", show: true},
            {icon: "", title: 'reportDesigner.undo', type: "undo", sort: 5, value: false, group: "2", show: true},
            {icon: "", title: 'reportDesigner.goon', type: "goon", sort: 6, value: false, group: "3", show: true},
            {icon: "", title: 'reportDesigner.copy', type: "copy", sort: 7, value: false, group: "10", show: true},
            {icon: "", title: 'reportDesigner.shear', type: "shear", sort: 8, value: false, group: "11", show: true},
            {icon: "", title: 'reportDesigner.paste', type: "paste", sort: 9, value: false, group: "12", show: true},
        ]
    };
    return styleList;
}